{% extends 'base.html' %}
{% load static %}

{% block sidebar %}
{% endblock sidebar %}

{% block content-title %}
<div class="row">
  <nav title="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="{% url 'jobs:index' %}">Jobs</a></li>
      <li class="breadcrumb-item" aria-current="page"><a href="{% url 'jobs:executions' %}">Executions</a>
      </li>
    </ol>
  </nav>
</div>
{% endblock content-title %}

{% block content %}
<div class="row">
  <div class="col-lg-12">
    <table id="executions" class="table table-light table-striped table-borderless table-hover">
      <thead>
        <tr>
          <th scope="col">id</th>
          <th scope="col">job_id</th>
          <th scope="col">status</th>
          <th scope="col">run_time</th>
          <th scope="col">duration</th>
          <th scope="col">finished</th>
          <th scope="col">exception</th>
          <th scope="col">traceback</th>
        </tr>
      </thead>
      <tbody>
        {% for execution in executions %}
        <tr>
          <th scope="row">
            <div class="clickable" data-tableid="results"><span><a
                  href="{% url 'jobs:result' job_execution_id=execution.id %}">{{execution.id}}</a></span>
            </div>
          </th>
          <th scope="row">
            <div class="clickable" data-tableid="results"><span><a
                  href="{% url 'jobs:results_job' job=execution.job_id %}">{{execution.job_id}}</a></span>
            </div>
          </th>
          <th scope="row">{{execution.status}}</th>
          <th scope="row">{{execution.run_time}}</th>
          <th scope="row">{{execution.duration}}</th>
          <th scope="row">{{execution.finished}}</th>
          <th scope="row">{{execution.exception}}</th>
          <th scope="row">{{execution.traceback}}</th>
        </tr>
        {% endfor %}
      </tbody>
    </table>
  </div>
</div>
{% endblock content %}

{% block javascript %}
<script src="{% static 'jobs/js/jobs.js' %}"></script>
<script src="{% static 'jobs/js/executions.js' %}"></script>
{% endblock javascript %}